post
https://sandbox.pismolabs.io/installment-management/v2/accounts//installment-advance
Creates an installment advancement for an account. An installment advancement moves one or more future installments to the current cycle.
This version supports two advancement modes:
ALL_CONTRACTS mode: Advances all future installments for all installment agreements in the account. When using this mode:
- Set
conditiontoALL_CONTRACTS. - The
calculator,reschedule, andremove_interest_from_currentfields are required at the root level. - The
contractsarray should not be provided.
MULTIPLE_CONTRACTS mode: Advances installments for specific contracts with individual configurations. When using this mode:
- Set
conditiontoMULTIPLE_CONTRACTS. - Provide a
contractsarray with individual contract configurations. - Root-level
calculator,reschedule, andremove_interest_from_currentfields must not be provided.
When you advance installments, you must specify what to do with the interest. You have three options:
- To remove 100% of the interest on the advanced installment(s), set the
remove_interest_from_currentfield totrueand thecalculatorfield toREMOVE_ALL_INTEREST. - To advance 100% of the interest on the advanced installment(s), set
remove_interest_from_currenttofalseand setcalculatortoNONE. - To recalculate the interest applied to the advanced installment(s), set
calculatortoPRESENT_VALUE. You can set theremove_interest_from_currentfield to eithertrueorfalse. Iftrue, the system recalculates interest on installments that were already in the current cycle (and did not need to be advanced). Otherwise, interest on those installments remains unchanged.
For more information, refer to Installment advancements and Creating an installment advancment.
This endpoint triggers an async process in which the transactions are advanced as requested.